Package com.complexible.stardog.plan.eval.service

# Class ServiceTranslator

java.lang.Object
com.complexible.stardog.plan.eval.service.ServiceTranslator

All Implemented Interfaces:
  `com.complexible.stardog.plan.optimizer.PlanNodeOptimizer`

public class ServiceTranslator extends Object implements com.complexible.stardog.plan.optimizer.PlanNodeOptimizer
Turn `logical service queries` into their `physical counterparts`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `name()`
  `boolean`
  `needsUpToDateCosts()`
  `com.complexible.stardog.plan.optimizer.OptimizationResult`
  `optimize(com.complexible.stardog.plan.PlanNode theNode, com.complexible.stardog.plan.optimizer.OptimizationContext theContext)`
  Convert to physical service queries and handle cache interaction

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.complexible.stardog.plan.optimizer.PlanNodeOptimizer

  `getTermPositionPredicate, optimizeNode, updateCosts`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServiceTranslator

    public ServiceTranslator()

- ## Method Details

  - ### optimize

    public com.complexible.stardog.plan.optimizer.OptimizationResult optimize(com.complexible.stardog.plan.PlanNode theNode, com.complexible.stardog.plan.optimizer.OptimizationContext theContext)
    Convert to physical service queries and handle cache interaction
    Specified by:
      `optimize` in interface `com.complexible.stardog.plan.optimizer.PlanNodeOptimizer`

  - ### name

    public String name()
    Specified by:
      `name` in interface `com.complexible.stardog.plan.optimizer.PlanNodeOptimizer`

  - ### needsUpToDateCosts

    public boolean needsUpToDateCosts()
    Specified by:
      `needsUpToDateCosts` in interface `com.complexible.stardog.plan.optimizer.PlanNodeOptimizer`